import ij.*;
import ij.process.*;
import ij.gui.*;
import java.awt.*;
import ij.plugin.*;

/**
 * This ImageJ plugin reads Look up Tables
 *
 * @author J. Anthony Parker, MD PhD <J.A.Parker@IEEE.org>
 * @version 7November2001
 */

public class Lookup_Tables implements PlugIn {

	public void run(String arg) {
		String homeDir = ij.Prefs.getHomeDir();
		String s = ij.Prefs.getFileSeparator();
		String dir = "plugins"+s+"NucMed"+s+"Lookup_Tables";
		ImageJ ij = IJ.getInstance();
		Frame parent = ij!=null ? ij : new Frame();
		FileDialog fd = new FileDialog(parent, "Select a Lookup Table");
		fd.setDirectory(homeDir+s+dir);
		GUI.center(fd);
		fd.setVisible(true);
		String name = fd.getFile(), LUTdir = fd.getDirectory();
		fd.dispose();
		if(name==null) return;
		IJ.run("LUT... ", "path='"+LUTdir+name+"'");
		IJ.showStatus(dir+s+name);
		return;
	}

}
